Subject: Re: [PATCH] IPv6: Allow Both IPv6 and IPv4 Sockets on the Same Port

From: "David S. Miller" <[email-masked]>
Date: Thu, 03 Oct 2002 08:04:08 -0700 (PDT)

From: YOSHIFUJI Hideaki / 吉藤英明 <[email-masked]>
   Date: Fri, 04 Oct 2002 00:06:31 +0900 (JST)

   In article <[email-masked]> (at Thu, 03 Oct 2002 23:15:34 +0900 (JST)), YOSHIFUJI Hideaki / 吉藤英明 <[email-masked]> says:
   
   > In article <[email-masked]> (at Thu, 3 Oct 2002 17:01:11 +0400 (MSD)), [email-masked] says:
   > 
   > > While doing *_get_port() daddr/dport are _unknown_ and always zero,
   > > so it never works.
   > > 
   > > Please, remove these bits, the patch will become simpler.
   > 
   > Ok, I'll do that.
   
   I remember that test for daddr is for existing sockets, 
   not for socket doing XXX_get_port().
   So, I think I don't need to remove that.

Where can daddr/dport be non-zero during get_port()?